#========================================================================================
# package      DE_EPAGES::Core::API::CurlShare
# state        public
# description  Wrapper over WWW::Curl::Share
#========================================================================================
package DE_EPAGES::Core::API::CurlShare;
use base qw ( WWW::Curl::Share Exporter );
use strict;

no warnings 'once';  ## no critic (ProhibitNoWarnings)

our @EXPORT = @WWW::Curl::Share::EXPORT; ## no critic (ProhibitAutomaticExportationNonDAL)
*AUTOLOAD = \&WWW::Curl::Share::AUTOLOAD;

sub perform { ## no critic (RequireArgUnpacking)
    my $self = shift;

    return $self->SUPER::perform(@_) & 0xffffffff; ## no critic (ProhibitMagicNumbers)
}

sub getinfo { ## no critic (RequireArgUnpacking)
    my $self = shift;

    return $self->SUPER::getinfo(@_) & 0xffffffff; ## no critic (ProhibitMagicNumbers)
}

1;
