#========================================================================================
# package      DE_EPAGES::Order::API::Attributes::Style_Ext
# state        private
# base         DE_EPAGES::Object::API::BaseAttribute
# description  Attribute interface for Style.
#========================================================================================
package DE_EPAGES::Order::API::Attributes::Style_Ext;
use base qw( DE_EPAGES::Object::API::BaseAttribute );

use strict;

sub getAttributes {
    my $self = shift;
    my ($Style, $aNames) = @_;
    my %Values;

    foreach my $Name (@$aNames) {
        if ($Name eq 'OrderProcessURL') {
            $Values{$Name} = $Style->buildCSSWebPath('OrderProcessStyle');
        } else {
            die "Unknown attribute $Name";
        }
    }

    return \%Values;
}

1;
